<?php

if (!function_exists("include_svg")) {
	function include_svg($file) {
		if (file_exists($file)) {
			$texte = file_get_contents($file);
			
			if (preg_match(",(<svg[^>]*>)(.*)\/svg>,s", $texte, $m)) {
				$tag_svg = $m[1];
			
				$tag_svg = vider_attribut($tag_svg, "width");
				$tag_svg = vider_attribut($tag_svg, "height");
				$style = extraire_attribut($tag_svg,"style");
				$tag_svg = inserer_attribut($tag_svg, "style", "position:absolute;$style");
				$tag_svg = preg_replace(",\ xmlns(\:[a-z]+)?\=[\"\']([^\"\']*)[\"\'],", "", $tag_svg);
				$texte  = $tag_svg.$m[2]."/svg>";
				
				if (preg_match(",viewBox\=\"[0-9]+\ [0-9]+\ ([0-9]+)\ ([0-9]+)\",", $texte, $v)) {
					$w = $v[1];
					$h = $v[2];
					if ($w > 0) {
						$r = ($h/$w)*100;
						
						$texte = "<span style='height:0;padding-bottom:$r%;display:inline-block;width:100%;position:relative;top:0;left:0;'>$texte</span>";
					}
					
				}
			}
			return $texte;
		}
	}
}

if (!function_exists("inclure_svg")) {
		function inclure_svg($file) {
			return include_svg($file);
		}
}



if (!function_exists("mini_html")) {

	function mini_html($texte) {
		$texte = str_replace("application/mp4", "video/mp4", $texte);
	
		$texte = preg_replace(",\ +,", " ", $texte);
		$texte = preg_replace(",\n[\t|\ ]*,", "\n", $texte);
		$texte = preg_replace(",\n+,", "\n", $texte);
			
		$texte = preg_replace(",style='width:[0-9]+px;',", "", $texte);
		
		$texte = str_replace("<script type='text/javascript' src=''></script>", "", $texte);
		$texte = str_replace("<script type='text/javascript' src=", "<script async type='text/javascript' src=", $texte);
		
		
		
		$texte = diversifier_notes($texte);
		
		return trim($texte);
	}
	
}
if (!function_exists("image_100p")) {
	function _image_100p ($reg) {
		$img = $reg[1];
		$img = vider_attribut($img, "width");
		$img = vider_attribut($img, "height");
		$img = vider_attribut($img, "style");
		
		$img = inserer_attribut($img, "style", "max-width: 100%; height: auto;");
		return $img;

	}
	function image_100p ($texte) {
		return preg_replace_callback(",(<img\ [^>]*>),", _image_100p, $texte);
		
	}

}

function diversifier_notes ($texte) {

	$texte = str_replace(" rel='footnote'", '', $texte);

	return $texte;
}


function filtrer_forcer_css($reg) {
	$lien = $reg[1];
	
	$lien = preg_replace(",\?[0-9]*$,", "", $lien);

	return "<style>".file_get_contents($lien)."</style>";
}


function forcer_css($flux) {
	return preg_replace_callback(",<link rel=\'stylesheet\' href=[\"\']([^\"\']*)[\"\'].[^>]*>,", "filtrer_forcer_css", $flux );
}

